PHP Manual
Prev |  | Next

# SoapClient->__getLastRequest()

(no version information, might be only in CVS)

SoapClient->__getLastRequest() -- Returns last SOAP request

## Description

class SoapClient {
string __getLastRequest ( void )
}

> Note: This method works only if the SoapClient object was created with the trace option.

## Return Values

The last SOAP request.

## Examples

Example 1. SoapClient->__getLastRequest() example
`<?php $client = SoapClient("some.wsdl", array('trace' => 1)); $result = $client->SomeFunction(); echo "REQUEST:\n" . $client->__getLastRequest() . "\n"; ?>`

## See Also

SoapClient->__construct()
SoapClient->__getLastRequestHeaders()
SoapClient->__getLastResponse()
SoapClient->__getLastResponseHeaders()

Prev | Home | Next
SoapClient->__getFunctions() | Up | SoapClient->__getLastRequestHeaders()